#### D.5.17.11 rankSheaf

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  rankSheaf(S); S sheaf

Return:
  int

Input:
  S is a sheaf

Output:
  a positive integer which is the rank of a sheaf.

Example:

    LIB "schubert.lib";
    variety G = Grassmannian(2,4);
    def R = G.baseRing;
    setring R;
    sheaf S = makeSheaf(G,subBundle);
    rankSheaf(S);
    ==> 2

See also: makeSheaf; printSheaf.

User manual for Singular version 4.4.1, 2025, generated by texi2html.